View Issue Details

IDProjectCategoryView StatusLast Update
0032551FPCFCLpublic2017-12-29 11:39
ReporterOles HnatkevychAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0032551: fphttpclient proxy authorization bug
Descriptionunit fphttpclient contains function TProxyData.GetProxyHeaders which wrongly compiles the header:

Result:='Proxy-Authorization: Basic ' + EncodeStringBase64(UserName+':'+UserName);

it must be

Result:='Proxy-Authorization: Basic ' + EncodeStringBase64(UserName+':'+Password);
TagsNo tags attached.
Fixed in Revision37854
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-12-29 11:39

administrator   ~0105097

Fixed, thanks for reporting!

Issue History

Date Modified Username Field Change
2017-10-14 21:38 Oles Hnatkevych New Issue
2017-10-15 00:36 Bart Broersma Project Lazarus => FPC
2017-10-24 08:15 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-10-24 08:15 Michael Van Canneyt Status new => assigned
2017-12-29 11:39 Michael Van Canneyt Fixed in Revision => 37854
2017-12-29 11:39 Michael Van Canneyt Note Added: 0105097
2017-12-29 11:39 Michael Van Canneyt Status assigned => resolved
2017-12-29 11:39 Michael Van Canneyt Fixed in Version => 3.1.1
2017-12-29 11:39 Michael Van Canneyt Resolution open => fixed
2017-12-29 11:39 Michael Van Canneyt Target Version => 3.2.0